/**
 * Leuchte eines LED-Bandes
 *
 * @author Johannes Neumeyer
 * @version 1.0
 */
public class LED
{
    /** Darstellung der LED */
    private Kreis led;
    
    /**
     * Der Konstruktor legt die Lampe an und positioniert sie
     * @param xPos x-Position der LED
     * @param yPos y-Position der LED
     */
    public LED(int xPos, int yPos)
    {
        led = new Kreis();
        led.PositionSetzen(xPos, yPos);
        led.RadiusSetzen(10);
        led.FarbeSetzen("weiß");
    }

    /**
     * Schaltet die LED in ihrer Grundfarbe gelb ein.
     */
    public void Einschalten()
    {
        led.FarbeSetzen("gelb");        
    }

    /**
     * Setzt die Lichtfarbe der LED auf die gegebene Farbe.
     * @param farbe die Farbe der LED
     */
    public void LichtfarbeSetzen(String farbe)
    {
        led.FarbeSetzen(farbe);       
    }
}
