
/**
 * Eine Turtle mit zusätzlichem Text, der ihre Position angibt
 *
 * @author Johannes Neumeyer
 * @version 1.0
 */
public class PosTurtle extends Turtle
{
    /** Text zur Positionsanzeige */
    private Text position;

    /**
     * Legt den Text an und zeigt die Startposition
     */
    public PosTurtle()
    {
        super();
        position = new Text();
        PositionstextAktualisieren();
    }

    /**
     * Beim Positionieren der Turtle wird auch die Position des
     * Texts aktualisiert.
     * @param x x-Position der Turtle
     * @param y y-Position der Turtle
     */
    @Override void PositionSetzen(int x, int y)
    {
        super.PositionSetzen(x, y);
        PositionstextAktualisieren();
    }

    /**
     * Der Text, der die Position angibt, wird aktualisiert.
     */
    private void PositionstextAktualisieren()
    {
        position.TextSetzen(XPositionGeben() + ", " + YPositionGeben());
        position.PositionSetzen(XPositionGeben(), YPositionGeben() - 12);
    }
}
