import java.util.ArrayList;
import java.util.Random;

/**
 * Jump 'n' Run-Spiel mit dem Protagonisten Dorian
 *
 * @author Johannes Neumeyer
 * @version 1.0
 */
public class DorianLand extends Ereignisbehandlung
{
    private Dorian dorian;

    /**
     * Legt das Szenario und die Spielfigur an
     * @param levelNr das gewünschte Spiellevel
     */
    public DorianLand(int levelNr)
    {        
        super();
        dorian = new Dorian();
        Text text = new Text();
        text.TextSetzen("← →: Gehen     Leertaste: Springen");
        text.PositionSetzen(300, 500);
        LevelSetzen(levelNr);       
        TaktdauerSetzen(10);
        Starten();
    }

    /**
     * Setzt das gewünschte Level.
     * @param levelNr das gewünschte Spiellevel
     */
    private void LevelSetzen(int levelNr)
    {
        switch (levelNr)
        {
            case 1:
            Level1();
            break;            

            case 2:
            Level2();
            break;            

            default:
            System.out.println("Ein Level mit dieser Nummer existiert nicht!");
        }
    }

    /**
     * Erstellt die Welt für Level 1.
     */
    private void Level1()
    {
        // Weg
        Stahltraeger weg;
        weg = new Stahltraeger(800);
        weg.PositionSetzen(0, 400);

        // Kisten und Untier
        Kiste k1;
        k1 = new Kiste();
        k1.PositionSetzen(250, 350);
        Kiste k2;
        k2 = new Kiste();
        k2.PositionSetzen(450, 350);
        Gleiter u1;
        u1 = new Gleiter();
        u1.PositionSetzen(375, 375);

        // Ziel
        Ziel ziel;
        ziel = new Ziel();
        ziel.PositionSetzen(735, 250);

        Stahltraeger st;
        st = new Stahltraeger();
        st.PositionSetzen(275, 325);

        Kiste k3;
        k3 = new Kiste();
        k3.PositionSetzen(635, 350);

        Kiste k4;
        k4 = new Kiste();
        k4.PositionSetzen(685, 350);

        Kiste k5;
        k5 = new Kiste();
        k5.PositionSetzen(685, 300);
    }   
    
    /**
     * Erstellt die Welt für Level 2.
     */
    private void Level2()
    {
        // Weg oben
        Stahltraeger oben = new Stahltraeger(100);
        oben.PositionSetzen(0, 150);
      
        // Weg unten
        Stahltraeger unten = new Stahltraeger(800);
        unten.PositionSetzen(100, 400);

        // Ziel
        Ziel ziel;
        ziel = new Ziel();
        ziel.PositionSetzen(735, 275);

        // Treppe1 bauen
        ArrayList<Stufe> treppe1; 
        treppe1 = new ArrayList();

        // Treppenstufen erzeugen und dem Feld hinzufügen
        treppe1.add(new Stufe(10));
        treppe1.add(new Stufe(9));
        treppe1.add(new Stufe(8));
        treppe1.add(new Stufe(3));

        // Treppenstufen positionieren
        treppe1.get(0).XPositionSetzen(100);
        treppe1.get(1).XPositionSetzen(125);
        treppe1.get(2).XPositionSetzen(150);
        treppe1.get(3).XPositionSetzen(275);        

        // Treppe2 bauen

    }

    /**
     * Mitverantwortlich für die Steuerung von Dorian
     */
    @Override void TaktImpulsAusführen()
    {
        if (dorian.Berührt("grün"))
        {
            Anhalten();
            dorian.Stoppen();
        }
        else if (dorian.Berührt("cyan"))
        {
            Anhalten();
            dorian.Stoppen();
        }
    }
}
