
/**
 * Ein Fahrzeugsymbol
 *
 * @author Albert Wiedemann
 * @version 1.0
 */
class FahrzeugSymbol
{
    /** Länge des Fahrzeugs */
    private int länge;
    /** Breite des Fahrzeugs */
    private int breite;

    //Interna
    /** Farbe des Fahrzeugs */
    private String aktFarbe;
    /** x-Position des Fahrzeugs */
    private int x;
    /** y-Position des Fahrzeugs */
    private int y;
    /** Fahrzeugaufbau */
    private Rechteck aufbau;
    /** Frontscheibe */
    private Rechteck scheibe;

    /**
     * Standardkonstruktor für Objekte der Klasse FahrzeugSymbol.
     */
    FahrzeugSymbol()
    {
        länge = 22;
        breite = 9;
        aktFarbe = "blau";
        aufbau = new Rechteck();
        aufbau.PositionSetzen(0, 0);
        aufbau.GrößeSetzen(breite, länge);
        aufbau.FarbeSetzen(aktFarbe);
        scheibe = new Rechteck();
        scheibe.PositionSetzen(1, länge/4);
        scheibe.GrößeSetzen(breite - 2, länge/4);
        scheibe.FarbeSetzen("weiß");
    }

    /**
     * Setzt die Farbe des Fahrzeugsymbols.
     * @param neueFarbe die neue Farbe des Fahrzeugsymbols
     */
    void FarbeSetzen(String neueFarbe)
    {
        aktFarbe = neueFarbe;
        aufbau.FarbeSetzen(aktFarbe);
    }

    /**
     * Setzt die Position des Fahrzeugsymbols.
     * Die Koordinaten bezeichnen die linke, obere Ecke des Fahrzeugsymbols.
     * @param x x-Position
     * @param y y-Position
     */
    void PositionSetzen(int x, int y)
    {
        this.x = x;
        this.y = y;
        aufbau.PositionSetzen(x, y);
        scheibe.PositionSetzen(x + 1, y + länge/4);
    }

    /**
     * Entfernt das Fahrzeugsymbol aus der Anzeige
     */
    void Entfernen()
    {
        aufbau.Entfernen();
        scheibe.Entfernen();
    }
}
