import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;
import java.util.ArrayList;

/**
 * Mit der Klasse Dateileser kann eine einspaltige csv-Datei ausgelesen werden.
 * 
 * @author Peter Brichzin
 * @version 1.0
 */
public class Dateileser
{
    private String dateiname; 
    private File datei;
    private ArrayList<Integer> daten;

    /**
     * Konstruktor für Objekte der Klasse Dateileser
     * @param  dateinameNeu    neuer Dateiname
     */
    public Dateileser(String dateinameNeu)
    {
        dateiname = dateinameNeu;
        datei = new File(dateiname);
        daten = new ArrayList<Integer>();
    }

    /**
     * Setzt den Wert von Dateiname
     * @param  dateinameNeu    neuer Dateiname
     */
    public void DateinameSetzen(String dateinameNeu)
    {
        datei = new File(dateinameNeu);
    }

    /**
     * Liest ganzzahlige Werte in das Feld ein und gibt das Feld zurück.
     * @return Feld mit den Messwerten
     */
    public ArrayList<Integer> ZahlenAuslesen()
    {
        try
        {
            Scanner inputStream = new Scanner(datei);

            while(inputStream.hasNext())
            {
                Integer zahl = Integer.valueOf(inputStream.next());
                daten.add(zahl);
            }

            inputStream.close();
        }
        catch (FileNotFoundException e)
        {
            e.printStackTrace();
        }
        return daten;
    }

    /**
     * Liest ganzzahlige Werte in das Feld ein und gibt die Werte aus.
     */
    public void ZahlenAuslesenUndAnzeigen()
    {
        try
        {
            Scanner inputStream = new Scanner(datei);

            while(inputStream.hasNext())
            {           
                Integer zahl = Integer.valueOf(inputStream.next());
                daten.add(zahl);
                System.out.println(zahl);
            }

            inputStream.close();
        }
        catch (FileNotFoundException e)
        {
            e.printStackTrace();
        }
    }
}
